<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Registration Successful</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900 flex items-center justify-center min-h-screen">
    <div class="max-w-md mx-auto bg-white dark:bg-gray-800 p-8 rounded-lg shadow-lg text-center">
        <h2 class="text-2xl font-bold text-gray-800 dark:text-gray-200">Registration Successful</h2>
        <p class="text-gray-600 dark:text-gray-400 mt-2">Thank you for registering! Please check your email to verify your account before logging in.</p>

        <div class="mt-6">
            <a href="<?= site_url('login') ?>" class="bg-blue-500 text-white px-4 py-2 rounded-md hover:bg-blue-600">
                Go to Login
            </a>
        </div>
    </div>
</body>
</html>
