<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title Page</title>
  <!-- Adjust paths as needed to match your directory structure -->
  <link rel="stylesheet" href="/app-creator/assets/css/global.css">
  <link rel="stylesheet" href="/app-creator/assets/css/title-page.css">
</head>
<body>
  <?php
    // Enable error reporting for debugging.
    ini_set('display_errors', 1);
    error_reporting(E_ALL);

    // Optional: Define helper functions if not already defined.
    if (!function_exists('base_url')) {
        function base_url($path = '') {
            // Update this function as needed for your project.
            return '/app-creator/assets/img/' . $path;
        }
    }
    if (!function_exists('esc')) {
        function esc($string) {
            return htmlspecialchars($string, ENT_QUOTES, 'UTF-8');
        }
    }

    // Include the module file.
    require_once('../modules/TitlePageModule.php');

    // Instantiate and render the Title Page Module.
    $titlePage = new TitlePageModule();
    echo $titlePage->render();
  ?>
</body>
</html>
